interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/subreddits/popular/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 474725 characters]
        WBc88ofG6QKWcuaPvUqke7Hw6JIiZlpY7v8BK7I5ed4WGAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['318380']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:39 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjpgm4.2.1505364219614.Z0FBQUFBQlp1Z2o3MVVPbFgwNlQ1dl8yZl9TcDh6MnV2eWNLMUpMNDFYMFpXUUhZbmZGV18xbGMwZnVvVUllVnk3bzk3X21tcGVHYlA0Wmt4RHh4dW5ESS1jRUgtWGF2WWZicFRGWl9DVUN2alZzSjRucnVhMXdIMmt6TFlpWWIyR3p1YXpKZ0dSTjU;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:39
          GMT; secure', 'session_tracker=lFgOMcf3Ww915UMEZl.0.1505364219611.Z0FBQUFBQlp1Z2o3OHBDQ3pYZUJKRThsLW9xV0JmeFZ6bjZId0RMYzlfTllndzhRcjVEeS13NnowUkRLZmRKaFNaTFVaZTlnSTdIMXZFV3VIZFBsY1BNUFVGNUppTzZWUTR5dk1Kakx1by11SFdWaXBRWUZKbks5a01oNmNqa3JZZGpFMUVROGZwb2M;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:39
          GMT; secure', edgebucket=5clbR0qjfSSpnFgAK9; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1730-ORD]
      X-Timer: ['S1505364220.596327,VS0,VE349']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjpgm4.2.1505364219614.Z0FBQUFBQlp1Z2o3MVVPbFgwNlQ1dl8yZl9TcDh6MnV2eWNLMUpMNDFYMFpXUUhZbmZGV18xbGMwZnVvVUllVnk3bzk3X21tcGVHYlA0Wmt4RHh4dW5ESS1jRUgtWGF2WWZicFRGWl9DVUN2alZzSjRucnVhMXdIMmt6TFlpWWIyR3p1YXpKZ0dSTjU;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:39
          GMT; secure', 'session_tracker=lFgOMcf3Ww915UMEZl.0.1505364219611.Z0FBQUFBQlp1Z2o3OHBDQ3pYZUJKRThsLW9xV0JmeFZ6bjZId0RMYzlfTllndzhRcjVEeS13NnowUkRLZmRKaFNaTFVaZTlnSTdIMXZFV3VIZFBsY1BNUFVGNUppTzZWUTR5dk1Kakx1by11SFdWaXBRWUZKbks5a01oNmNqa3JZZGpFMUVROGZwb2M;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:39
          GMT; secure', edgebucket=5clbR0qjfSSpnFgAK9; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=X%2Bpf4y%2FH7ZGbZFxljXH3lrrJ1%2F4qZH4L0iR0ypur6MmD7juXS4GV3Nv39GqtHLlEbc0kIXUCpVs%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=5clbR0qjfSSpnFgAK9; loid=00000000000drjpgm4.2.1505364219614.Z0FBQUFBQlp1Z2o3MVVPbFgwNlQ1dl8yZl9TcDh6MnV2eWNLMUpMNDFYMFpXUUhZbmZGV18xbGMwZnVvVUllVnk3bzk3X21tcGVHYlA0Wmt4RHh4dW5ESS1jRUgtWGF2WWZicFRGWl9DVUN2alZzSjRucnVhMXdIMmt6TFlpWWIyR3p1YXpKZ0dSTjU;
          session_tracker=lFgOMcf3Ww915UMEZl.0.1505364219611.Z0FBQUFBQlp1Z2o3OHBDQ3pYZUJKRThsLW9xV0JmeFZ6bjZId0RMYzlfTllndzhRcjVEeS13NnowUkRLZmRKaFNaTFVaZTlnSTdIMXZFV3VIZFBsY1BNUFVGNUppTzZWUTR5dk1Kakx1by11SFdWaXBRWUZKbks5a01oNmNqa3JZZGpFMUVROGZwb2M]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/top/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 97236 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['65203']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:43 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1730-ORD]
      X-Timer: ['S1505364223.758823,VS0,VE937']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=lFgOMcf3Ww915UMEZl.0.1505364222775.Z0FBQUFBQlp1Z2pfNnMtMjV5Z2pHeEdJeXFNQmJ1WkdTc1RoM0dnU05LNU10SkVnem80enFYVWNlSVB2bFB3X2lfTXcxMzZRYTNjX3FlUDlJOXBhZkZURTZRV2xKMUkyTEdvS1Z5TzVPN1BoaHdPWlFGU0lOcEpmZ1dIX2NLM1drY2VXbjdZeno3Vm8;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:43
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=npuqE5U2oRYVw%2F5xE%2FmzBPTVnPxyIzP0hRO76jbkV%2FhByoKhLLVlI3RhVySfHNSIixxeDUEusng%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
